# for EPEL dependency generator
%{?nodejs_find_provides_and_requires}

%global module_name xtend

Name:           nodejs-%{module_name}
Version:        4.0.0
Release:        3%{?dist}
Summary:        Extend like a boss

License:        MIT
URL:            https://github.com/Raynos/%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(tape)
 
%description
xtend is a basic utility library which allows you to extend an object by
appending all of the properties from each object in a list. When there
are identical properties, the right-most property takes precedence.

%prep
%setup -q -n package
rm -rf node_modules

# Fix upstream file name
mv LICENCE LICENSE

%build
#nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
node test.js

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{module_name}


%changelog
* Wed Jan 13 2016 Parag Nemade <pnemade AT redhat DOT com> - 4.0.0-3
- Specify exclusively arch list as per nodejs packaging guidelines

* Thu Oct 30 2014 Parag Nemade <pnemade AT redhat DOT com> - 4.0.0-2.1
- Add missing dependency generator

* Fri Oct 24 2014 Parag Nemade <pnemade AT redhat DOT com> - 4.0.0-2
- Add missing BR: npm(tape)
- fixed whitespace typo

* Fri Sep 19 2014 Parag Nemade <pnemade AT redhat DOT com> - 4.0.0-1
- Initial packaging

